
User Interface - Bug #2969

websocket keep-alive

01/25/2016 05:16 PM - Greg Shah

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Sergey Ivanovskiy % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

Related issues:

Related to User Interface - Feature #1811: implement the AJAX client driver Closed 11/01/2013 03/06/2014

History

#1 - 01/25/2016 05:20 PM - Greg Shah

Currently there is an idle timeout for the websocket.  We need to add a keep-alive sequence, otherwise a long-lived session will by automatically killed

after the websocket timer pops.  To recreate this today, load an application into the web client and then just let it sit there, it will disconnect

automatically when the timeout occurs.

I think both the JS and Java sides should independently send a keep-alive.  The other side should respond with an acknowledgement message.  I

think the round trip will automatically reset the websocket idle timer, so long as we send a keep-alive on a shorter time interval than the idle timer.  In

other words, we should calculate the keep-alive interval based on the websocket timer interval.

#2 - 03/01/2016 03:42 PM - Sergey Ivanovskiy

It is done in 1811t.

#3 - 03/01/2016 04:12 PM - Greg Shah

- Status changed from New to Closed

- % Done changed from 0 to 100

#4 - 11/16/2016 12:12 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App
